# Generated by Django 2.2.26 on 2022-01-24 13:57

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Drone',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('serial_number', models.CharField(max_length=100, unique=True)),
                ('model', models.CharField(choices=[('Lightweight', 'LW'), ('Middleweight', 'MW'), ('Cruiserweight', 'CW'), ('Heavyweight', 'HW')], default='Lightweight', max_length=30)),
                ('weight', models.FloatField()),
                ('battery', models.IntegerField()),
                ('state', models.CharField(choices=[('IDLE', 'ID'), ('LOADING', 'LG'), ('LOADED', 'LD'), ('DELIVERING', 'DG'), ('DELIVERED', 'DD'), ('RETURNING', 'RG')], default='IDLE', max_length=30)),
            ],
        ),
        migrations.CreateModel(
            name='Medication',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=250)),
                ('weight', models.FloatField()),
                ('code', models.CharField(max_length=250)),
                ('image', models.URLField()),
            ],
        ),
        migrations.CreateModel(
            name='Mission',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('drone', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Drone')),
                ('item', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='api.Medication')),
            ],
        ),
    ]
